Google Apps supported only on modern browsers

By Web Design, Web Development

Wondering why Google Docs, Google + and other Google applications don’t work on old browsers as IE6, IE7Firefox 3.5 and Safari 3? well, Google discontinued support for old browsers since August of 2011.

This doesn’t surprise me. In order for Google to offer the best experience to their users, they need to use the latest technology and standards, and therefore they need to rely on modern browsers to do it. Supporting complex functionality on old browsers is always a challenge, and it impacts budget and schedule.

The web developers’ dream is to have a word only with modern browsers, compliant with the latest standards of the web, so they focus their time and creativity on their applications without the distraction of fixing bugs and duplicating their work to support old systems.

But this dream is far away to be real, because large organizations of the government and education sectors still use Internet Explorer 6 and 7 on their corporate computers.

This is the official news article by Google: http://googledocs.blogspot.com/2011/06/our-plans-to-support-modern-browsers.html

Tagged under: